### Method

# Foundry VcsProvider supports_uri

#### Declaration [src]

    gboolean
    foundry_vcs_provider_supports_uri (
      FoundryVcsProvider* self,
      const char* uri_string
    )

#### Description [src]

Checks if a URI is supported by the VCS provider.

This is useful to determine if you can get a downloader for a URI to clone the repository.

#### Parameters

`uri_string`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`true` if the URI is supported.